
public class Class113 {

   long aLong1094;
   int anInt1095;
   int[] anIntArray1096;
   static final int anInt1097 = 2;
   int[] anIntArray1098;
   int[] anIntArray1099;
   int anInt1100;
   static final int anInt1101 = 500000;
   int[] anIntArray1102;
   static byte[] aByteArray1103 = new byte[]{(byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)1, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)2, (byte)0, (byte)1, (byte)2, (byte)1, (byte)0, (byte)0, (byte)0, (byte)0, (byte)0, (byte)0, (byte)0, (byte)0, (byte)0, (byte)0, (byte)0, (byte)0};
   static final int anInt1104 = 0;
   static final int anInt1105 = 3;
   RS2Buffer aClass225_Sub23_1106 = new RS2Buffer((byte[])null);
   static final int anInt1107 = 1;


   void method2232(int var1) {
      this.aClass225_Sub23_1106.position = this.anIntArray1102[var1] * 1385214721;
   }

   int method2233() {
      int var1 = this.anIntArray1102.length;
      int var2 = -1;
      int var3 = Integer.MAX_VALUE;

      for(int var4 = 0; var4 < var1; ++var4) {
         if(this.anIntArray1102[var4] >= 0 && this.anIntArray1098[var4] < var3) {
            var2 = var4;
            var3 = this.anIntArray1098[var4];
         }
      }

      return var2;
   }

   void method2234(byte[] var1) {
      this.aClass225_Sub23_1106.buffer = var1;
      this.aClass225_Sub23_1106.position = 967245322;
      int var2 = this.aClass225_Sub23_1106.readUnsignedShort(-937710807);
      this.anInt1095 = this.aClass225_Sub23_1106.readUnsignedShort(-937710807);
      this.anInt1100 = 500000;
      this.anIntArray1096 = new int[var2];

      int var3;
      int var5;
      for(var3 = 0; var3 < var2; this.aClass225_Sub23_1106.position += var5 * 1385214721) {
         int var4 = this.aClass225_Sub23_1106.readInt_(-436687998);
         var5 = this.aClass225_Sub23_1106.readInt_(1646112190);
         if(var4 == 1297379947) {
            this.anIntArray1096[var3] = this.aClass225_Sub23_1106.position * -543666943;
            ++var3;
         }
      }

      this.aLong1094 = 0L;
      this.anIntArray1102 = new int[var2];

      for(var3 = 0; var3 < var2; ++var3) {
         this.anIntArray1102[var3] = this.anIntArray1096[var3];
      }

      this.anIntArray1098 = new int[var2];
      this.anIntArray1099 = new int[var2];
   }

   long method2235(int var1) {
      return this.aLong1094 + (long)var1 * (long)this.anInt1100;
   }

   boolean method2236() {
      return this.aClass225_Sub23_1106.buffer != null;
   }

   int method2237() {
      return this.anIntArray1102.length;
   }

   void method2238(int var1) {
      this.aClass225_Sub23_1106.position = this.anIntArray1102[var1] * 1385214721;
   }

   boolean method2239() {
      int var1 = this.anIntArray1102.length;

      for(int var2 = 0; var2 < var1; ++var2) {
         if(this.anIntArray1102[var2] >= 0) {
            return false;
         }
      }

      return true;
   }

   void method2240() {
      this.aClass225_Sub23_1106.buffer = null;
      this.anIntArray1096 = null;
      this.anIntArray1102 = null;
      this.anIntArray1098 = null;
      this.anIntArray1099 = null;
   }

   void method2241(int var1) {
      this.anIntArray1102[var1] = this.aClass225_Sub23_1106.position * -543666943;
   }

   int method2242(int var1) {
      int var2 = this.method2247(var1);
      return var2;
   }

   int method2243(int var1, int var2) {
      int var4;
      if(var2 == 255) {
         int var7 = this.aClass225_Sub23_1106.readUnsignedByte(-700559597);
         var4 = this.aClass225_Sub23_1106.method13744(-533676875);
         if(var7 == 47) {
            this.aClass225_Sub23_1106.position += var4 * 1385214721;
            return 1;
         } else if(var7 == 81) {
            int var5 = this.aClass225_Sub23_1106.readTriByte(-1523021350);
            var4 -= 3;
            int var6 = this.anIntArray1098[var1];
            this.aLong1094 += (long)var6 * (long)(this.anInt1100 - var5);
            this.anInt1100 = var5;
            this.aClass225_Sub23_1106.position += var4 * 1385214721;
            return 2;
         } else {
            this.aClass225_Sub23_1106.position += var4 * 1385214721;
            return 3;
         }
      } else {
         byte var3 = aByteArray1103[var2 - 128];
         var4 = var2;
         if(var3 >= 1) {
            var4 = var2 | this.aClass225_Sub23_1106.readUnsignedByte(-700559597) << 8;
         }

         if(var3 >= 2) {
            var4 |= this.aClass225_Sub23_1106.readUnsignedByte(-700559597) << 16;
         }

         return var4;
      }
   }

   boolean method2244() {
      int var1 = this.anIntArray1102.length;

      for(int var2 = 0; var2 < var1; ++var2) {
         if(this.anIntArray1102[var2] >= 0) {
            return false;
         }
      }

      return true;
   }

   int method2245(int var1) {
      byte var2 = this.aClass225_Sub23_1106.buffer[this.aClass225_Sub23_1106.position * -543666943];
      int var5;
      if(var2 < 0) {
         var5 = var2 & 255;
         this.anIntArray1099[var1] = var5;
         this.aClass225_Sub23_1106.position += 1385214721;
      } else {
         var5 = this.anIntArray1099[var1];
      }

      if(var5 != 240 && var5 != 247) {
         return this.method2243(var1, var5);
      } else {
         int var3 = this.aClass225_Sub23_1106.method13744(336164858);
         if(var5 == 247 && var3 > 0) {
            int var4 = this.aClass225_Sub23_1106.buffer[this.aClass225_Sub23_1106.position * -543666943] & 255;
            if(var4 >= 241 && var4 <= 243 || var4 == 246 || var4 == 248 || var4 >= 250 && var4 <= 252 || var4 == 254) {
               this.aClass225_Sub23_1106.position += 1385214721;
               this.anIntArray1099[var1] = var4;
               return this.method2243(var1, var4);
            }
         }

         this.aClass225_Sub23_1106.position += var3 * 1385214721;
         return 0;
      }
   }

   Class113(byte[] var1) {
      this.method2234(var1);
   }

   void method2246(long var1) {
      this.aLong1094 = var1;
      int var3 = this.anIntArray1102.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         this.anIntArray1098[var4] = 0;
         this.anIntArray1099[var4] = 0;
         this.aClass225_Sub23_1106.position = this.anIntArray1096[var4] * 1385214721;
         this.method2257(var4);
         this.anIntArray1102[var4] = this.aClass225_Sub23_1106.position * -543666943;
      }

   }

   int method2247(int var1) {
      byte var2 = this.aClass225_Sub23_1106.buffer[this.aClass225_Sub23_1106.position * -543666943];
      int var5;
      if(var2 < 0) {
         var5 = var2 & 255;
         this.anIntArray1099[var1] = var5;
         this.aClass225_Sub23_1106.position += 1385214721;
      } else {
         var5 = this.anIntArray1099[var1];
      }

      if(var5 != 240 && var5 != 247) {
         return this.method2243(var1, var5);
      } else {
         int var3 = this.aClass225_Sub23_1106.method13744(1057740645);
         if(var5 == 247 && var3 > 0) {
            int var4 = this.aClass225_Sub23_1106.buffer[this.aClass225_Sub23_1106.position * -543666943] & 255;
            if(var4 >= 241 && var4 <= 243 || var4 == 246 || var4 == 248 || var4 >= 250 && var4 <= 252 || var4 == 254) {
               this.aClass225_Sub23_1106.position += 1385214721;
               this.anIntArray1099[var1] = var4;
               return this.method2243(var1, var4);
            }
         }

         this.aClass225_Sub23_1106.position += var3 * 1385214721;
         return 0;
      }
   }

   void method2248(byte[] var1) {
      this.aClass225_Sub23_1106.buffer = var1;
      this.aClass225_Sub23_1106.position = 967245322;
      int var2 = this.aClass225_Sub23_1106.readUnsignedShort(-937710807);
      this.anInt1095 = this.aClass225_Sub23_1106.readUnsignedShort(-937710807);
      this.anInt1100 = 500000;
      this.anIntArray1096 = new int[var2];

      int var3;
      int var5;
      for(var3 = 0; var3 < var2; this.aClass225_Sub23_1106.position += var5 * 1385214721) {
         int var4 = this.aClass225_Sub23_1106.readInt_(-477178612);
         var5 = this.aClass225_Sub23_1106.readInt_(909065040);
         if(var4 == 1297379947) {
            this.anIntArray1096[var3] = this.aClass225_Sub23_1106.position * -543666943;
            ++var3;
         }
      }

      this.aLong1094 = 0L;
      this.anIntArray1102 = new int[var2];

      for(var3 = 0; var3 < var2; ++var3) {
         this.anIntArray1102[var3] = this.anIntArray1096[var3];
      }

      this.anIntArray1098 = new int[var2];
      this.anIntArray1099 = new int[var2];
   }

   void method2249(byte[] var1) {
      this.aClass225_Sub23_1106.buffer = var1;
      this.aClass225_Sub23_1106.position = 967245322;
      int var2 = this.aClass225_Sub23_1106.readUnsignedShort(-937710807);
      this.anInt1095 = this.aClass225_Sub23_1106.readUnsignedShort(-937710807);
      this.anInt1100 = 500000;
      this.anIntArray1096 = new int[var2];

      int var3;
      int var5;
      for(var3 = 0; var3 < var2; this.aClass225_Sub23_1106.position += var5 * 1385214721) {
         int var4 = this.aClass225_Sub23_1106.readInt_(1339140751);
         var5 = this.aClass225_Sub23_1106.readInt_(-1194793356);
         if(var4 == 1297379947) {
            this.anIntArray1096[var3] = this.aClass225_Sub23_1106.position * -543666943;
            ++var3;
         }
      }

      this.aLong1094 = 0L;
      this.anIntArray1102 = new int[var2];

      for(var3 = 0; var3 < var2; ++var3) {
         this.anIntArray1102[var3] = this.anIntArray1096[var3];
      }

      this.anIntArray1098 = new int[var2];
      this.anIntArray1099 = new int[var2];
   }

   void method2250() {
      this.aClass225_Sub23_1106.buffer = null;
      this.anIntArray1096 = null;
      this.anIntArray1102 = null;
      this.anIntArray1098 = null;
      this.anIntArray1099 = null;
   }

   void method2251() {
      this.aClass225_Sub23_1106.buffer = null;
      this.anIntArray1096 = null;
      this.anIntArray1102 = null;
      this.anIntArray1098 = null;
      this.anIntArray1099 = null;
   }

   boolean method2252() {
      return this.aClass225_Sub23_1106.buffer != null;
   }

   Class113() {}

   void method2253(int var1) {
      this.aClass225_Sub23_1106.position = this.anIntArray1102[var1] * 1385214721;
   }

   int method2254() {
      int var1 = this.anIntArray1102.length;
      int var2 = -1;
      int var3 = Integer.MAX_VALUE;

      for(int var4 = 0; var4 < var1; ++var4) {
         if(this.anIntArray1102[var4] >= 0 && this.anIntArray1098[var4] < var3) {
            var2 = var4;
            var3 = this.anIntArray1098[var4];
         }
      }

      return var2;
   }

   void method2255() {
      this.aClass225_Sub23_1106.position = -1385214721;
   }

   void method2256() {
      this.aClass225_Sub23_1106.position = -1385214721;
   }

   void method2257(int var1) {
      int var2 = this.aClass225_Sub23_1106.method13744(847285502);
      this.anIntArray1098[var1] += var2;
   }

   int method2258(int var1) {
      byte var2 = this.aClass225_Sub23_1106.buffer[this.aClass225_Sub23_1106.position * -543666943];
      int var5;
      if(var2 < 0) {
         var5 = var2 & 255;
         this.anIntArray1099[var1] = var5;
         this.aClass225_Sub23_1106.position += 1385214721;
      } else {
         var5 = this.anIntArray1099[var1];
      }

      if(var5 != 240 && var5 != 247) {
         return this.method2243(var1, var5);
      } else {
         int var3 = this.aClass225_Sub23_1106.method13744(-107533029);
         if(var5 == 247 && var3 > 0) {
            int var4 = this.aClass225_Sub23_1106.buffer[this.aClass225_Sub23_1106.position * -543666943] & 255;
            if(var4 >= 241 && var4 <= 243 || var4 == 246 || var4 == 248 || var4 >= 250 && var4 <= 252 || var4 == 254) {
               this.aClass225_Sub23_1106.position += 1385214721;
               this.anIntArray1099[var1] = var4;
               return this.method2243(var1, var4);
            }
         }

         this.aClass225_Sub23_1106.position += var3 * 1385214721;
         return 0;
      }
   }

   int method2259(int var1, int var2) {
      int var4;
      if(var2 == 255) {
         int var7 = this.aClass225_Sub23_1106.readUnsignedByte(-700559597);
         var4 = this.aClass225_Sub23_1106.method13744(-105834875);
         if(var7 == 47) {
            this.aClass225_Sub23_1106.position += var4 * 1385214721;
            return 1;
         } else if(var7 == 81) {
            int var5 = this.aClass225_Sub23_1106.readTriByte(-1855771899);
            var4 -= 3;
            int var6 = this.anIntArray1098[var1];
            this.aLong1094 += (long)var6 * (long)(this.anInt1100 - var5);
            this.anInt1100 = var5;
            this.aClass225_Sub23_1106.position += var4 * 1385214721;
            return 2;
         } else {
            this.aClass225_Sub23_1106.position += var4 * 1385214721;
            return 3;
         }
      } else {
         byte var3 = aByteArray1103[var2 - 128];
         var4 = var2;
         if(var3 >= 1) {
            var4 = var2 | this.aClass225_Sub23_1106.readUnsignedByte(-700559597) << 8;
         }

         if(var3 >= 2) {
            var4 |= this.aClass225_Sub23_1106.readUnsignedByte(-700559597) << 16;
         }

         return var4;
      }
   }

   int method2260(int var1, int var2) {
      int var4;
      if(var2 == 255) {
         int var7 = this.aClass225_Sub23_1106.readUnsignedByte(-700559597);
         var4 = this.aClass225_Sub23_1106.method13744(1369811099);
         if(var7 == 47) {
            this.aClass225_Sub23_1106.position += var4 * 1385214721;
            return 1;
         } else if(var7 == 81) {
            int var5 = this.aClass225_Sub23_1106.readTriByte(1781930465);
            var4 -= 3;
            int var6 = this.anIntArray1098[var1];
            this.aLong1094 += (long)var6 * (long)(this.anInt1100 - var5);
            this.anInt1100 = var5;
            this.aClass225_Sub23_1106.position += var4 * 1385214721;
            return 2;
         } else {
            this.aClass225_Sub23_1106.position += var4 * 1385214721;
            return 3;
         }
      } else {
         byte var3 = aByteArray1103[var2 - 128];
         var4 = var2;
         if(var3 >= 1) {
            var4 = var2 | this.aClass225_Sub23_1106.readUnsignedByte(-700559597) << 8;
         }

         if(var3 >= 2) {
            var4 |= this.aClass225_Sub23_1106.readUnsignedByte(-700559597) << 16;
         }

         return var4;
      }
   }

   long method2261(int var1) {
      return this.aLong1094 + (long)var1 * (long)this.anInt1100;
   }

   void method2262() {
      this.aClass225_Sub23_1106.position = -1385214721;
   }

   int method2263() {
      int var1 = this.anIntArray1102.length;
      int var2 = -1;
      int var3 = Integer.MAX_VALUE;

      for(int var4 = 0; var4 < var1; ++var4) {
         if(this.anIntArray1102[var4] >= 0 && this.anIntArray1098[var4] < var3) {
            var2 = var4;
            var3 = this.anIntArray1098[var4];
         }
      }

      return var2;
   }

   int method2264() {
      int var1 = this.anIntArray1102.length;
      int var2 = -1;
      int var3 = Integer.MAX_VALUE;

      for(int var4 = 0; var4 < var1; ++var4) {
         if(this.anIntArray1102[var4] >= 0 && this.anIntArray1098[var4] < var3) {
            var2 = var4;
            var3 = this.anIntArray1098[var4];
         }
      }

      return var2;
   }

   void method2265(int var1) {
      this.anIntArray1102[var1] = this.aClass225_Sub23_1106.position * -543666943;
   }

   void method2266(long var1) {
      this.aLong1094 = var1;
      int var3 = this.anIntArray1102.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         this.anIntArray1098[var4] = 0;
         this.anIntArray1099[var4] = 0;
         this.aClass225_Sub23_1106.position = this.anIntArray1096[var4] * 1385214721;
         this.method2257(var4);
         this.anIntArray1102[var4] = this.aClass225_Sub23_1106.position * -543666943;
      }

   }

   void method2267(long var1) {
      this.aLong1094 = var1;
      int var3 = this.anIntArray1102.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         this.anIntArray1098[var4] = 0;
         this.anIntArray1099[var4] = 0;
         this.aClass225_Sub23_1106.position = this.anIntArray1096[var4] * 1385214721;
         this.method2257(var4);
         this.anIntArray1102[var4] = this.aClass225_Sub23_1106.position * -543666943;
      }

   }

   void method2268(long var1) {
      this.aLong1094 = var1;
      int var3 = this.anIntArray1102.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         this.anIntArray1098[var4] = 0;
         this.anIntArray1099[var4] = 0;
         this.aClass225_Sub23_1106.position = this.anIntArray1096[var4] * 1385214721;
         this.method2257(var4);
         this.anIntArray1102[var4] = this.aClass225_Sub23_1106.position * -543666943;
      }

   }
}
